Loading...
Searching...
No Matches
TunerSwitcher Class Reference

`#include <tunerswitcher.h>`

Inheritance diagram for TunerSwitcher:

## Public Types

enum | SwitcherState { normal_mode , wait_start , listening , wait_stop }

## Public Member Functions

| TunerSwitcher (gx_preset::GxSettings &settings, gx_engine::GxEngine &engine)
bool | get_active ()
void | activate (bool tuner_active)
void | deactivate ()
void | toggle (bool tuner_active)
sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & | signal_display ()
sigc::signal< void, SwitcherState > & | signal_set_state ()
sigc::signal< void, bool > & | signal_selection_done ()

## Private Types

enum | SwitcherActions { mute_on = -1 , mute_off = -2 , bypass_on = -3 , bypass_off = -4 , tuner_on = -5 , tuner_off = -6 }

## Private Member Functions

bool | on_note_timeout ()
bool | on_state_timeout ()
void | on_tuner_freq_changed ()
void | try_load_preset ()
bool | display_bank_key (int idx)
bool | display_preset_key (int idx)
void | change_state (SwitcherState newstate)

## Private Attributes

gx_preset::GxSettings & | settings
gx_engine::GxEngine & | engine
sigc::signal< void, const Glib::ustring &, const Glib::ustring & > | display
sigc::signal< void, SwitcherState > | set_state
sigc::signal< void, bool > | selection_done
sigc::connection | switcher_conn
sigc::connection | timeout_conn
int | current_note
SwitcherState | state
gx_engine::GxEngineState | old_engine_state
gx_engine::GxEngineState | new_engine_state
bool | old_tuner_active
bool | new_tuner_active
int | last_bank_idx
int | last_preset_idx

## Detailed Description

Definition at line 29 of file tunerswitcher.h.

## Member Enumeration Documentation

## SwitcherActions

enum TunerSwitcher::SwitcherActions

private

Enumerator
mute_on |
mute_off |
bypass_on |
bypass_off |
tuner_on |
tuner_off |

Definition at line 33 of file tunerswitcher.h.

## SwitcherState

enum TunerSwitcher::SwitcherState

Enumerator
normal_mode |
wait_start |
listening |
wait_stop |

Definition at line 31 of file tunerswitcher.h.

## Constructor & Destructor Documentation

## TunerSwitcher()

TunerSwitcher::TunerSwitcher | ( | gx_preset::GxSettings & | settings,
|  | gx_engine::GxEngine & | engine )

## Member Function Documentation

## activate()

void TunerSwitcher::activate | ( | bool | tuner_active | ) |

## change_state()

void TunerSwitcher::change_state | ( | SwitcherState | newstate | ) |

private

## deactivate()

void TunerSwitcher::deactivate | ( |  | ) |

## display_bank_key()

bool TunerSwitcher::display_bank_key | ( | int | idx | ) |

private

## display_preset_key()

bool TunerSwitcher::display_preset_key | ( | int | idx | ) |

private

## get_active()

bool TunerSwitcher::get_active | ( |  | ) |

inline

Definition at line 66 of file tunerswitcher.h.

## on_note_timeout()

bool TunerSwitcher::on_note_timeout | ( |  | ) |

private

## on_state_timeout()

bool TunerSwitcher::on_state_timeout | ( |  | ) |

private

## on_tuner_freq_changed()

void TunerSwitcher::on_tuner_freq_changed | ( |  | ) |

private

## signal_display()

sigc::signal< void, const Glib::ustring &, const Glib::ustring & > & TunerSwitcher::signal_display | ( |  | ) |

inline

Definition at line 70 of file tunerswitcher.h.

## signal_selection_done()

sigc::signal< void, bool > & TunerSwitcher::signal_selection_done | ( |  | ) |

inline

Definition at line 72 of file tunerswitcher.h.

## signal_set_state()

sigc::signal< void, SwitcherState > & TunerSwitcher::signal_set_state | ( |  | ) |

inline

Definition at line 71 of file tunerswitcher.h.

## toggle()

void TunerSwitcher::toggle | ( | bool | tuner_active | ) |

## try_load_preset()

void TunerSwitcher::try_load_preset | ( |  | ) |

private

## Member Data Documentation

## current_note

int TunerSwitcher::current_note

private

Definition at line 48 of file tunerswitcher.h.

## display

sigc::signal<void,const Glib::ustring&,const Glib::ustring&> TunerSwitcher::display

private

Definition at line 43 of file tunerswitcher.h.

Referenced by signal_display().

## engine

gx_engine::GxEngine& TunerSwitcher::engine

private

Definition at line 42 of file tunerswitcher.h.

Referenced by TunerSwitcher().

## last_bank_idx

int TunerSwitcher::last_bank_idx

private

Definition at line 54 of file tunerswitcher.h.

## last_preset_idx

int TunerSwitcher::last_preset_idx

private

Definition at line 55 of file tunerswitcher.h.

## new_engine_state

gx_engine::GxEngineState TunerSwitcher::new_engine_state

private

Definition at line 51 of file tunerswitcher.h.

## new_tuner_active

bool TunerSwitcher::new_tuner_active

private

Definition at line 53 of file tunerswitcher.h.

## old_engine_state

gx_engine::GxEngineState TunerSwitcher::old_engine_state

private

Definition at line 50 of file tunerswitcher.h.

## old_tuner_active

bool TunerSwitcher::old_tuner_active

private

Definition at line 52 of file tunerswitcher.h.

## selection_done

sigc::signal<void, bool> TunerSwitcher::selection_done

private

Definition at line 45 of file tunerswitcher.h.

Referenced by signal_selection_done().

## set_state

sigc::signal<void,SwitcherState> TunerSwitcher::set_state

private

Definition at line 44 of file tunerswitcher.h.

Referenced by signal_set_state().

## settings

gx_preset::GxSettings& TunerSwitcher::settings

private

Definition at line 41 of file tunerswitcher.h.

Referenced by TunerSwitcher().

## state

SwitcherState TunerSwitcher::state

private

Definition at line 49 of file tunerswitcher.h.

## switcher_conn

sigc::connection TunerSwitcher::switcher_conn

private

Definition at line 46 of file tunerswitcher.h.

Referenced by get_active().

## timeout_conn

sigc::connection TunerSwitcher::timeout_conn

private

Definition at line 47 of file tunerswitcher.h.

The documentation for this class was generated from the following file:

- src/headers/tunerswitcher.h